## gnucash-docs 5.13

=== CMakeLists.txt ===
# CMakeLists.txt for GnuCash Documenation

cmake_minimum_required (VERSION 3.14.5)

# This sets a number of environment variables we can use later on
# The names of these variables start with PROJECT_ and gnucash-docs_VERSION
# We don't actually use C, but GNUInstallDirs doesn't work if we don't
# specify a language.
project (gnucash-docs
    VERSION 5.13
    LANGUAGES C)

set (PACKAGE_NAME GnuCash Docs)
set (PACKAGE_BUGREPORT "https://bugs.gnucash.org/describecomponents.cgi?product=Documentation")
set (PACKAGE_STRING "${PACKAGE_NAME} ${gnucash-docs_VERSION}")
set (PACKAGE_URL "https://www.gnucash.org/")
set (PACKAGE_PREFIX "${PROJECT_NAME}-${gnucash-docs_VERSION}")

# Extra cmake macros
set (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}")
include (AddChmTarget)
include (AddEpubTarget)
include (AddXdgHelpTarget)
include (AddHtmlTarget)
include (AddPdfTarget)
include (AddLangTargets)
include (AddGncDocTargets)
include (DistCommon)
include (GNUInstallDirs)

# Clear cache variables that will be filled later during the cmake run
unset(dist_files CACHE)

# ############################################################
# These options are settable from the CMake command line. For example,
# to enable mobi, put -D WITH_MOBI=ON on the command line.
# The targets enabled by default are different for Windows vs.
# the other supported platforms.
# On windows only chm is enabled by default
# On any other platform chm and mobi are disabled by default

if(NOT WIN32)
    option (WITH_XDGHELP "Enable build rules for gnome help document format" ON)
    option (WITH_HTML "Enable build rules for html document format" ON)
    option (WITH_PDF "Enable build rules for pdf document format" ON)
    option (WITH_EPUB "Enable build rules for epub document format" ON)
    option (WITH_CHM "Enable build rules for chm document format" OFF)
else()
    option (WITH_XDGHELP "Enable build rules for gnome help document format" OFF)
    option (WITH_HTML "Enable build rules for html document format" OFF)
    option (WITH_PDF "Enable build rules for pdf document format" OFF)
    option (WITH_EPUB "Enable build rules for epub document format" OFF)
    option (WITH_CHM "Enable build rules for chm document format" ON)
endif()
option (WITH_MOBI "Enable build rules for Mobipocket document format" OFF)

if(APPLE)
    option (WITH_HTML_INSTALL "Enable install rules for html document format" ON)
else()
    option (WITH_HTML_INSTALL "Enable install rules for html document format" OFF)
endif()


# ############################################################
# Following parameters can equally be set using -D switches on the CMake command line.
# Set font dirs and font for Russian pdf documents
set(EXTENDED_SANS "opentype/freefont/FreeSans" CACHE STRING "Extended sans font used for Russian pdf")
set(EXTENDED_SERIF "opentype/freefont/FreeSerif" CACHE STRING "Extended serif font used for Russian pdf")
set(EXTENDED_MONO "opentype/freefont/FreeMono" CACHE STRING "Extended mono font used for Russian pdf")
set(extended_fontdir "${CMAKE_SOURCE_DIR}/fonts" CACHE STRING "Directory to search for extended fonts")
set(extended_extension "otf" CACHE STRING "Extended fonts extension")

# Set font dirs and font for Japanese pdf documents
set(JAPANESE_MINCHO_TTF "ume-tmo3.ttf" CACHE STRING "Mincho TrueType font used for Japanese pdf")
set(JAPANESE_GOTHIC_TTF "ume-tmo3.ttf" CACHE STRING "Gothic TrueType font used for Japanese pdf")
set(japanese_fontdir "${CMAKE_SOURCE_DIR}/fonts/truetype" CACHE STRING "Directory to search for Japanese fonts")

# Set the default XSL file path
set(BASE_XSLT_HTML "${CMAKE_SOURCE_DIR}/xsl/general-customization.xsl")
set(BASE_XSLT_PDF "${CMAKE_SOURCE_DIR}/xsl/general-fo-customization.xsl")
set(BASE_XSLT_EPUB "${CMAKE_SOURCE_DIR}/xsl/general-epub-customization.xsl")
set(BASE_XSLT_CHM "${CMAKE_SOURCE_DIR}/xsl/general-chm-customization.xsl")

# Buildtime destination directories for our generated documentation
set(DATADIR_BUILD "${CMAKE_BINARY_DIR}/share")
set(DOCDIR_BUILD  "${DATADIR_BUILD}/doc/${PROJECT_NAME}")

# ############################################################
# Find the documentation dependencies

# Check for xsltproc
# Some distributions package it separately of libxslt
find_program(XSLTPROC xsltproc)
if(NOT XSLTPROC)
    message(SEND_ERROR "Can't find xsltproc, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XSLTPROC)
SET (XSLTPROCFLAGS --path "${CMAKE_SOURCE_DIR}/docbook" --xinclude "$ENV{XSLTPROCFLAGS}")

# Same for xmllint
find_program(XMLLINT xmllint)
if(NOT XMLLINT)
    message(SEND_ERROR "Can't find xmllint, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XMLLINT)

# Check for optional fop
if(WITH_PDF)
    find_program(FOP fop)
    if(NOT FOP)
        message(WARNING "Can't find fop. You will not be able to generate PDF files.")
        set (WITH_PDF OFF)
    endif(NOT FOP)
endif()

if(WITH_MOBI)
    find_program(EBOOK_CONVERT ebook-convert)
    if (NOT EBOOK_CONVERT)
        set(WITH_MOBI OFF)
        message(WARNING "Can't find ebook-convert. To enable the generation of mobi files install the Calibre package: https://www.calibre-ebook.com/")
    else()
        # Mobi is based on epub so enable epub if mobi is requested
        set(WITH_EPUB ON)
    endif()
else()
    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBI=ON if you want to enable it.")
endif()

# To find our figures in the source directory each run of fop
# will be passed a fop.xconf file to set a base-dir.
# The default fop.xconf file below does just that.
# Every document/language can define its own FOP_XCONF
# to point at a document/language specific fop.xconf
# instead for additional fop configuration as needed.
# For example the Japanese document will use it to embed Japanese fonts
set (FOP_XCONF_DFLT "${CMAKE_SOURCE_DIR}/fop.xconf.in")
set (FOP_XCONF "${FOP_XCONF_DFLT}")

# Find the htmlhelp compiler for chm output
if(WITH_CHM)
    if(WIN32)
        find_program(HHC hhc.exe
            PATHS "c:/Program Files (x86)/Html Help Workshop" "c:/Program Files/Html Help Workshop")
        if(NOT HHC)
            message(SEND_ERROR "Html Help Workshop not found")
        endif()
    else(WIN32)
        find_program(HHC chmcmd)
        if(NOT HHC)
            set(WITH_CHM OFF)
            message(WARNING "Free Pascal's chmcmd not found. Chm related targets will be disabled.")
        endif()
    endif(WIN32)
endif(WITH_CHM)

# The global targets. Their dependencies will be filled in by subsequent commands in
# the respective subdirectories.
add_custom_target(check)
if (WITH_HTML)
    add_custom_target(html)
endif()
if (WITH_XDGHELP)
  if (UNIX AND NOT APPLE)
    add_custom_target(xdghelp ALL)
  else(UNIX AND NOT APPLE)
    add_custom_target(xdghelp)
  endif()
endif()
if (WITH_PDF)
    add_custom_target(pdf)
endif()
if (WITH_EPUB)
    add_custom_target(epub)
endif()
if (WITH_MOBI)
    add_custom_target(mobi)
endif()
if (WITH_CHM)
    if(WIN32)
        add_custom_target(chm ALL)
    else()
        add_custom_target(chm)
    endif()
endif()


add_subdirectory (C)
add_subdirectory (de)
add_subdirectory (it)
add_subdirectory (ja)
add_subdirectory (pt)
#add_subdirectory (ru)
add_subdirectory (zh)

file(GLOB_RECURSE extrafiles
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    cmake/* fonts/* stylesheet/* xsl/* docbook/*)
add_to_dist(${extrafiles})

configure_file(COPYING ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING COPYONLY)
configure_file(COPYING-DOCS ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING-DOCS COPYONLY)
install(FILES COPYING COPYING-DOCS DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})

add_to_dist(
    AUTHORS
    CMakeLists.txt
    COPYING
    COPYING-DOCS
    ChangeLog
    NEWS
    README
    fop.xconf.in)

############################ BEGIN MAKE DIST #################

set(DIST_FILE "${PACKAGE_PREFIX}.tar")

add_custom_command(OUTPUT ${DIST_FILE}.gz ${DIST_FILE}.bz2
        COMMAND ${CMAKE_COMMAND}
           -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
           -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
           -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
           -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
           "-Ddist_files=\"${dist_files}\""
           -D SHELL=${SHELL}
           -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake

        DEPENDS
          ${dist_files}
        )

add_custom_target(dist DEPENDS ${DIST_FILE}.gz ${DIST_FILE}.bz2)

add_custom_target(distcheck DEPENDS dist
        COMMAND ${CMAKE_COMMAND}
            -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
            -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDistCheck.cmake
        )

############################# END MAKE DIST #################

# uninstall target
configure_file(
        "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)

add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== C/CMakeLists.txt ===
add_lang_targets("C")

add_subdirectory(guide)
add_subdirectory(manual)

add_to_dist(CMakeLists.txt)

=== de/CMakeLists.txt ===
add_lang_targets("de")

add_subdirectory(guide)
add_subdirectory(manual)

add_to_dist(CMakeLists.txt)

=== it/CMakeLists.txt ===
add_lang_targets("it")

add_subdirectory(guide)
add_subdirectory(manual)

add_to_dist(CMakeLists.txt)

=== ja/CMakeLists.txt ===
add_lang_targets("ja")

add_subdirectory(guide)

add_to_dist(CMakeLists.txt)

=== pt/CMakeLists.txt ===
add_lang_targets("pt")

add_subdirectory(guide)
add_subdirectory(manual)

add_to_dist(CMakeLists.txt)

=== zh/CMakeLists.txt ===
add_lang_targets("zh")

add_subdirectory(guide)

add_to_dist(CMakeLists.txt)

=== C/guide/CMakeLists.txt ===
set (entities
        fdl-appendix.docbook
        legal.docbook
        ch_oview.docbook
        ch_basics.docbook
        ch_accts.docbook
        ch_txns.docbook
        ch_importing.docbook
        ch_configuring.docbook
        ch_cbook.docbook
        ch_cc.docbook
        ch_expenses.docbook
        ch_loans.docbook
        ch_invest.docbook
        ch_reports.docbook
        ch_capgain.docbook
        ch_currency.docbook
        ch_dep.docbook
        ch_bus_features.docbook
        ch_budgets.docbook
        ch_oth_assets.docbook
        ch_python_bindings.docbook
        ch_import_business_data.docbook
        gnc-glossary.docbook
        appendixa.docbook
        appendixd.docbook)

set (figures
        figures/accts_CreateAssetsAccount.png
        figures/accts_DefaultExpenseAccounts.png
        figures/accts_DefaultIncomeAccounts.png
        figures/accts_toplevel.png
        figures/accts_tree.png
        figures/basics_AccountRelationships.png
        figures/basics_AccountRelationships.svg
        figures/basics_Accounts.png
        figures/basics_CheckAccount.png
        figures/basics_EmptyAccounts.png
        figures/basics_NewAccountHierarchySetup.png
        figures/basics_NewAccountHierarchySetup_Accounts.png
        figures/basics_NewAccountHierarchySetup_Finish.png
        figures/basics_NewAccountHierarchySetup_Setup.png
        figures/basics_NewAccountHierarchySetup_currency.png
        figures/basics_NewBookOpts.png
        figures/basics_SaveSQL.png
        figures/basics_SaveXML.png
        figures/basics_TipOfDay.png
        figures/bus_ap_billedit.png
        figures/bus_ap_billnew.png
        figures/bus_ap_billpost.png
        figures/bus_ap_jobnew.png
        figures/bus_ap_payment.png
        figures/bus_ap_vendorfind.png
        figures/bus_ap_vendornew.png
        figures/bus_ar_custfind.png
        figures/bus_ar_custnew.png
        figures/bus_ar_invoicechange1.png
        figures/bus_ar_invoicechange2.png
        figures/bus_ar_invoicechange3.png
        figures/bus_ar_invoiceedit.png
        figures/bus_ar_invoicenew.png
        figures/bus_ar_invoicepost.png
        figures/bus_ar_invoiceprint.png
        figures/bus_ar_jobnew.png
        figures/bus_ar_payment.png
        figures/bus_co_reg.png
        figures/bus_pay_ex1.png
        figures/bus_pay_ex2.png
        figures/bus_pay_ex3.png
        figures/bus_pay_ex4.png
        figures/bus_tax_main.png
        figures/bus_tax_new.png
        figures/bus_terms_main.png
        figures/bus_terms_new.png
        figures/capgain_app2main.png
        figures/capgain_app3main.png
        figures/capgain_appmain.png
        figures/cbook_CashFlow.png
        figures/cbook_TransactionRptAssets.png
        figures/cbook_TransactionRptExpenses.png
        figures/cbook_atm.png
        figures/cbook_bankstmt.png
        figures/cbook_chartaccts5.png
        figures/cbook_checkexamp.png
        figures/cbook_gcashdata4.png
        figures/cbook_reconciledCheckAct.png
        figures/cbook_reconexamp.png
        figures/cbook_servch.png
        figures/cbook_transferin.png
        figures/cc_CashFlow.png
        figures/cc_Reversing_Transaction_1.png
        figures/cc_Reversing_Transaction_2.png
        figures/cc_TransactionRptExpenses.png
        figures/cc_TransactionRptVisa.png
        figures/cc_accounts.png
        figures/cc_final.png
        figures/cc_interest.png
        figures/cc_payment.png
        figures/cc_purchases.png
        figures/cc_reconcile.png
        figures/cc_reconcile_init.png
        figures/cc_refund.png
        figures/currency_AfterGetOnlineQuotes.png
        figures/currency_BeforeGetOnlineQuotes.png
        figures/currency_addcurr.png
        figures/currency_main1.png
        figures/currency_main2.png
        figures/currency_main3.png
        figures/currency_peditor.png
        figures/currency_purchase_AfterBoat.png
        figures/currency_purchase_AfterStocks.png
        figures/currency_purchase_BeforeBoat.png
        figures/currency_purchase_BeforeStocks.png
        figures/currency_purchase_Commodities.png
        figures/currency_purchase_MoveMoney.png
        figures/currency_purchase_SetExchangeRate.png
        figures/currency_purchase_ToAmount.png
        figures/currency_trading_Price_Database_initial.png
        figures/currency_trading_acct_setup.png
        figures/currency_trading_acct_setup_2.png
        figures/currency_trading_accts_after_tfr.png
        figures/currency_trading_accts_after_trf_back.png
        figures/currency_trading_balance_sheet.png
        figures/currency_trading_prices_after_trf_back.png
        figures/currency_trading_transfer_funds.png
        figures/currency_trading_transfer_trans1.png
        figures/currency_trading_transfer_trans2.png
        figures/currency_trading_trf_back.png
        figures/dep_assetmain.png
        figures/dep_assetreg.png
        figures/dep_example.png
        figures/invest2Lots0RegB4Scrub.png
        figures/invest2Lots1B4Scrub.png
        figures/invest2Lots2LotsAftScrubAcct.png
        figures/invest2Lots3RegAftScrubAcct.png
        figures/investLots2_BeforeScrub1Lot.png
        figures/investLots0_RegB4Scrub.png
        figures/investLots1_BeforeCreateLot.png
        figures/investLots2_RegAfterScrub1Lot.png
        figures/investLotsSplitLot0.png
        figures/investLotsSplitLot1.png
        figures/investLotsSplitReg.png
        figures/invest_AccountsPredef.png
        figures/invest_SetupPortfolio2.png
        figures/invest_SetupPortfolio3.png
        figures/invest_dividendcash.png
        figures/invest_dividendreinvest1.png
        figures/invest_int1.png
        figures/invest_int2-1.png
        figures/invest_int2.png
        figures/invest_int3.png
        figures/invest_merge2.png
        figures/invest_merge3.png
        figures/invest_newaccount.png
        figures/invest_newsecurity.png
        figures/invest_peditor.png
        figures/invest_peditor2.png
        figures/invest_ret_of_cap.png
        figures/invest_selectsecurity.png
        figures/invest_sellstock.png
        figures/invest_sellstock2.png
        figures/invest_sellstockManProfCombNet.png
        figures/invest_sellstockManProfSep.png
        figures/invest_sellstockManProfSepNet.png
        figures/invest_setup_current.png
        figures/invest_setup_portfolio1.png
        figures/invest_simplesplit1.png
        figures/invest_split1.png
        figures/invest_split2.png
        figures/invest_split3.png
        figures/invest_split4.png
        figures/invest_stockmerge1.png
        figures/invest_stockvalue.png
        figures/invest_stockvalue_report.png
        figures/invest_stockvalue_report_options.png
        figures/loans_PrivateLoanCalculation.png
        figures/loans_PrivateLoanFirstPayment.png
        figures/loans_PrivateLoanInitial.png
        figures/loans_PrivateLoanSecondPayment.png
        figures/loans_PrivateLoanSecondPaymentAccounts.png
        figures/loans_fcalc.png
        figures/loans_mortgage1.png
        figures/loans_mortgage2.png
        figures/loans_mortgage3.png
        figures/oview_intro.png
        figures/Report_Investment_Lots.png
        figures/txns_CashFlow.png
        figures/txns_TransactionRptChecking.png
        figures/txns_TransactionRptExpenses.png
        figures/txns_puttoget_Charts.png
        figures/txns_puttoget_Charts1.png
        figures/txns_puttoget_Charts2.png
        figures/txns_reconcile_window1.png
        figures/txns_reconcile_window2.png
        figures/txns_reconcile_window3.png
        figures/txns_register_2account.png
        figures/txns_register_2account2.png
        figures/txns_register_multiaccount.png
        figures/txns_registersplit2.png
        figures/txns_registersplit3.png
        figures/txns_registersplit4.png
        figures/txns_registersplit5.png
        figures/txns_registersplit6.png
        figures/txns_sxn_editor-2.png
        figures/txns_sxn_editor-3-frequency.png
        figures/txns_sxn_editor-3-overview.png
        figures/txns_sxn_editor-3-template.png
        figures/txns_sxn_editor-4.png
        figures/txns_sxn_editor_slr.png
        figures/txns_sxn_ledger1.png
        figures/txns_sxn_ledger2.png
        figures/txns_sxn_ledger3.png
        figures/txns_sxn_ledger4.png
)

set (xslt_files "")

add_gnc_doc_targets(${lang} "${entities}" "${figures}" "${xslt_files}")

=== C/manual/CMakeLists.txt ===
set (entities
        ch_Intro.docbook
        ch_GettingHelp.docbook
        ch_GettingStarted.docbook
        ch_GUIMenus.docbook
        ch_Account-Actions.docbook
        ch_Transactions.docbook
        ch_Business.docbook
        ch_Tools_Assistants.docbook
        ch_Reports.docbook
        ch_Customize.docbook
        ch_Finance-Quote.docbook
        chtacctseg.docbook
        chartofaccts.docbook
        legal.docbook
        txf-categories.docbook
        fdl-appendix.docbook)

set (figures
        figures/AccountReg_Screen.png
        figures/AccountTree_Screen.png
        figures/Book_Options_Accounts.png
        figures/Book_Options_Budgeting.png
        figures/Book_Options_Business.png
        figures/Book_Options_Counters.png
        figures/CSV_Import_transactions_Preview.png
        figures/CSV_Transaction_Import_Assistant.png
        figures/Choose_Export_Settings.png
        figures/Icon_Delete.png
        figures/Icon_Save.png
        figures/Import_Map_Editor.png
        figures/Import_MatchPicker.png
        figures/Import_QIF_Druid.png
        figures/Import_Transaction_matcher_1.png
        figures/Main-window-callouts.png
        figures/Pref_AccntPeriod.png
        figures/Pref_Accnts.png
        figures/Pref_Business.png
        figures/Pref_DateTime.png
        figures/Pref_General.png
        figures/Pref_Import.png
        figures/Pref_OnlineBanking.png
        figures/Pref_Printing.png
        figures/Pref_Quotes.png
        figures/Pref_Register.png
        figures/Pref_RegisterDefaults.png
        figures/Pref_Reports.png
        figures/Pref_Sched.png
        figures/Pref_Windows.png
        figures/Report_Screen.png
        figures/Report_Investment_Lots_Bar.png
        figures/Report_Investment_Lots_StackedBar.png
        figures/Report_Investment_Lots.png
        figures/Tool_LotsBus.png
        figures/Tool_LotsStk.png
        figures/Tool_Lots_h_double_arrow.png
        figures/Tool_Lots_v_double_arrow.png
        figures/Trans_Assoc_Dialog.png
        figures/Trans_Assoc_Symbols.png
        figures/TxRptOpt_Screen.png
        figures/welcome-cancel.png
        figures/welcome.png
        figures/window-main-empty.png
        figures/window-tip.png
)

set (xslt_files "")

add_gnc_doc_targets(${lang} "${entities}" "${figures}" "${xslt_files}")

=== de/guide/CMakeLists.txt ===
set (entities
        ch_accts.docbook
        ch_basics.docbook
        ch_budgets.docbook
        ch_bus_features.docbook
        ch_capgain.docbook
        ch_cbook.docbook
        ch_cc.docbook
        ch_currency.docbook
        ch_dep.docbook
        ch_expenses.docbook
        ch_import_business_data.docbook
        ch_loans.docbook
        ch_invest.docbook
        ch_oth_assets.docbook
        ch_oview.docbook
        ch_python_bindings.docbook
        ch_reports.docbook
        ch_txns.docbook
        appendixa.docbook
        appendixd.docbook
        appendixe.docbook
        fdl-appendix.docbook
        glossary.docbook)

set (figures
        figures/accts_CreateAssetsAccount.png
        figures/accts_DefaultExpenseAccounts.png
        figures/accts_DefaultIncomeAccounts.png
        figures/accts_toplevel.png
        figures/accts_tree.png
        figures/basics_AccountRelationships.png
        figures/basics_AccountRelationships.svg
        figures/basics_Accounts.png
        figures/basics_CheckAccount.png
        figures/basics_EmptyAccounts.png
        figures/basics_NewAccountHierarchySetup.png
        figures/basics_NewAccountHierarchySetup_Accounts.png
        figures/basics_NewAccountHierarchySetup_Finish.png
        figures/basics_NewAccountHierarchySetup_Setup.png
        figures/basics_NewAccountHierarchySetup_currency.png
        figures/basics_NewBookOpts.png
        figures/basics_SaveSQL.png
        figures/basics_SaveXML.png
        figures/basics_TipOfDay.png
        figures/basics_lock.png
        figures/bus_ap_billedit.png
        figures/bus_ap_billnew.png
        figures/bus_ap_billpost.png
        figures/bus_ap_jobnew.png
        figures/bus_ap_payment.png
        figures/bus_ap_vendorfind.png
        figures/bus_ap_vendornew.png
        figures/bus_ar_custfind.png
        figures/bus_ar_custnew.png
        figures/bus_ar_invoicechange1.png
        figures/bus_ar_invoicechange2.png
        figures/bus_ar_invoicechange3.png
        figures/bus_ar_invoiceedit.png
        figures/bus_ar_invoicenew.png
        figures/bus_ar_invoicepost.png
        figures/bus_ar_invoiceprint.png
        figures/bus_ar_jobnew.png
        figures/bus_ar_payment.png
        figures/bus_co_reg.png
        figures/bus_tax_main.png
        figures/bus_tax_new.png
        figures/bus_terms_main.png
        figures/bus_terms_new.png
        figures/capgain_app2main.png
        figures/capgain_app3main.png
        figures/capgain_appmain.png
        figures/cbook_CashFlow.png
        figures/cbook_TransactionRptAssets.png
        figures/cbook_TransactionRptExpenses.png
        figures/cbook_atm.png
        figures/cbook_bankstmt.png
        figures/cbook_chartaccts5.png
        figures/cbook_checkexamp.png
        figures/cbook_gcashdata4.png
        figures/cbook_reconciledCheckAct.png
        figures/cbook_reconexamp.png
        figures/cbook_servch.png
        figures/cbook_transferin.png
        figures/cc_CashFlow.png
        figures/cc_Reversing_Transaction_1.png
        figures/cc_Reversing_Transaction_2.png
        figures/cc_TransactionRptExpenses.png
        figures/cc_TransactionRptVisa.png
        figures/cc_accounts.png
        figures/cc_final.png
        figures/cc_interest.png
        figures/cc_payment.png
        figures/cc_purchases.png
        figures/cc_reconcile.png
        figures/cc_reconcile_init.png
        figures/cc_refund.png
        figures/currency_AfterGetOnlineQuotes.png
        figures/currency_BeforeGetOnlineQuotes.png
        figures/currency_addcurr.png
        figures/currency_main1.png
        figures/currency_main2.png
        figures/currency_main3.png
        figures/currency_peditor.png
        figures/currency_purchase_AfterBoat.png
        figures/currency_purchase_AfterStocks.png
        figures/currency_purchase_BeforeBoat.png
        figures/currency_purchase_BeforeStocks.png
        figures/currency_purchase_Commodities.png
        figures/currency_purchase_MoveMoney.png
        figures/currency_purchase_SetExchangeRate.png
        figures/currency_purchase_ToAmount.png
        figures/dep_assetmain.png
        figures/dep_assetreg.png
        figures/dep_example.png
        figures/gnc_welcome.png
        figures/investLots2_BeforeScrub1Lot.png
        figures/invest_AccountsPredef.png
        figures/invest_SetupPortfolio2.png
        figures/invest_dividendcash.png
        figures/invest_dividendreinvest1.png
        figures/invest_int1.png
        figures/invest_int2-1.png
        figures/invest_int2.png
        figures/invest_int3.png
        figures/invest_merge2.png
        figures/invest_merge3.png
        figures/invest_newaccount.png
        figures/invest_newsecurity.png
        figures/invest_peditor.png
        figures/invest_peditor2.png
        figures/invest_ret_of_cap.png
        figures/invest_selectsecurity.png
        figures/invest_sellstock.png
        figures/invest_sellstock2.png
        figures/invest_sellstockLoss.png
        figures/invest_sellstockLoss2.png
        figures/invest_setup_current.png
        figures/invest_setup_portfolio1.png
        figures/invest_simplesplit1.png
        figures/invest_split1.png
        figures/invest_split2.png
        figures/invest_split3.png
        figures/invest_split4.png
        figures/invest_stockmerge1.png
        figures/invest_stockvalue.png
        figures/invest_stockvalue_report.png
        figures/invest_stockvalue_report_options.png
        figures/loans_PrivateLoanCalculation.png
        figures/loans_PrivateLoanFirstPayment.png
        figures/loans_PrivateLoanInitial.png
        figures/loans_PrivateLoanSecondPayment.png
        figures/loans_PrivateLoanSecondPaymentAccounts.png
        figures/loans_fcalc.png
        figures/loans_mortgage1.png
        figures/loans_mortgage2.png
        figures/loans_mortgage3.png
        figures/oview_intro.png
        figures/txns_CashFlow.png
        figures/txns_TransactionRptChecking.png
        figures/txns_TransactionRptExpenses.png
        figures/txns_puttoget_Charts.png
        figures/txns_puttoget_Charts1.png
        figures/txns_puttoget_Charts2.png
        figures/txns_reconcile_window1.png
        figures/txns_reconcile_window2.png
        figures/txns_reconcile_window3.png
        figures/txns_register_2account.png
        figures/txns_register_2account2.png
        figures/txns_register_multiaccount.png
        figures/txns_registersplit2.png
        figures/txns_registersplit3.png
        figures/txns_registersplit4.png
        figures/txns_registersplit5.png
        figures/txns_registersplit6.png
        figures/txns_sxn_editor-2.png
        figures/txns_sxn_editor-3-frequency.png
        figures/txns_sxn_editor-3-overview.png
        figures/txns_sxn_editor-3-template.png
        figures/txns_sxn_editor-4.png
        figures/txns_sxn_editor_slr.png
        figures/txns_sxn_ledger1.png
        figures/txns_sxn_ledger2.png
        figures/txns_sxn_ledger3.png
        figures/txns_sxn_ledger4.png

)

set (xslt_files "")

add_gnc_doc_targets(${lang} "${entities}" "${figures}" "${xslt_files}")

=== de/manual/CMakeLists.txt ===
set (entities
        ch_Intro.docbook
        ch_GettingHelp.docbook
        ch_GettingStarted.docbook
        ch_GUIMenus.docbook
        ch_Account-Actions.docbook
        ch_Transactions.docbook
        ch_Business.docbook
        ch_Tools_Assistants.docbook
        ch_Reports.docbook
        ch_Customize.docbook
        ch_Finance-Quote.docbook
        fdl-appendix.docbook
        legal.docbook
        para-assist-buttons.docbook
        chartofaccts.docbook
        chtacctseg.docbook
        para-assist-intro.docbook
        txf-categories.docbook)

set (figures
        figures/AccountReg_Screen.png
        figures/AccountTreeCascade.png
        figures/AccountTreeCreate.png
        figures/AccountTree_Export_CSV.png
        figures/AccountTree_Export_dbms.png
        figures/AccountTree_Export_file.png
        figures/AccountTree_Import_CSV.png
        figures/AccountTree_Import_CSV_Preview.png
        figures/AccountTree_Screen.png
        figures/AcctCreate_General.png
        figures/AcctCreate_OpenBal.png
        figures/AcctViewOptions-0.png
        figures/AcctViewOptions-1.png
        figures/Book_Options_Accounts.png
        figures/Book_Options_Budgeting.png
        figures/Book_Options_Business.png
        figures/Book_Options_Counters.png
        figures/Book_Options_Tax.png
        figures/Budget_Screen.png
        figures/Busnss_Customer_Find.png
        figures/Busnss_Customer_Job.png
        figures/Busnss_Customer_New_1.png
        figures/Busnss_Customer_New_2.png
        figures/Busnss_Customer_New_3.png
        figures/Busnss_Employee_New_1.png
        figures/Busnss_Employee_New_2.png
        figures/Busnss_Employee_New_3.png
        figures/Busnss_Invoice_Edit.png
        figures/Busnss_Invoice_New.png
        figures/Busnss_Invoice_Payment.png
        figures/Busnss_Invoice_Post.png
        figures/Busnss_Tax_Edit.png
        figures/Busnss_Tax_Organize.png
        figures/Busnss_Terms_Edit.png
        figures/Busnss_Terms_Organize.png
        figures/Busnss_Bill_Edit.png
        figures/Busnss_Bill_New.png
        figures/Busnss_Bill_Payment.png
        figures/Busnss_Bill_Post.png
        figures/Busnss_Vendor_Job.png
        figures/Busnss_Vendor_New_1.png
        figures/Busnss_Vendor_New_2.png
        figures/Busnss_Voucher_Edit.png
        figures/Busnss_Voucher_New.png
        figures/CSV_Import_transactions_Preview.png
        figures/CSV_Transaction_Import_Assistant.png
        figures/Choose_Export_Settings.png
        figures/GUI_Business_Invoice.png
        figures/GUI_Business_Overview.png
        figures/Import_AqB_Profile.png
        figures/Import_Map_Editor.png
        figures/Import_MatchPicker.png
        figures/Import_QIF_Druid.png
        figures/Import_Transaction_matcher_1.png
        figures/Main-window-callouts.png
        figures/Pref_AccntPeriod.png
        figures/Pref_Accnts.png
        figures/Pref_Business.png
        figures/Pref_DateTime.png
        figures/Pref_General.png
        figures/Pref_Import.png
        figures/Pref_OnlineBanking.png
        figures/Pref_Printing.png
        figures/Pref_Quotes.png
        figures/Pref_Register.png
        figures/Pref_RegisterDefaults.png
        figures/Pref_Reports.png
        figures/Pref_Sched.png
        figures/Pref_Windows.png
        figures/Reconcile_Screen.png
        figures/Report_Investment_Lots.png
        figures/Report_Investment_Lots_Bar.png
        figures/Report_Investment_Lots_StackedBar.png
        figures/Report_Options_Dialog.png
        figures/Report_Saved_Config.png
        figures/Report_Screen.png
        figures/Reset_Warnings.png
        figures/Scheduled_Transactions.png
        figures/Style_Choose.png
        figures/Style_New.png
        figures/Tool_LotsBus.png
        figures/Tool_LotsStk.png
        figures/Tool_Lots_h_double_arrow.png
        figures/Tool_Lots_v_double_arrow.png
        figures/Tools_CloseBook.png
        figures/Tools_Find_bsnss.png
        figures/Tools_Find_bsnss_result.png
        figures/Tools_Find_txn.png
        figures/Tools_LoanCalculator.png
        figures/Tools_PriceDatabase.png
        figures/Tools_PriceEditor_add.png
        figures/Tools_PriceEditor_del.png
        figures/Tools_SecurityEditor.png
        figures/Tools_SecurityEditor_add.png
        figures/Tools_SecurityEditor_edit.png
        figures/Tools_SinceLastRun.png
        figures/Trans_Assoc_Dialog.png
        figures/Trans_Assoc_Symbols.png
        figures/TxRptOpt_Screen.png
        figures/chart_acct_delete_01.png
        figures/chart_acct_delete_02.png
        figures/chart_acct_delete_03.png
        figures/chart_acct_delete_msg.png
        figures/column-selector-0.png
        figures/column-selector-1.png
        figures/splash.png
        figures/summarybar-selector-1.png
        figures/summarybar-selector-2.png
        figures/tip-window.png
        figures/welcome-cancel.png
        figures/welcome.png
        figures/window-main-empty.png
)

set (xslt_files "")

add_gnc_doc_targets(${lang} "${entities}" "${figures}" "${xslt_files}")

=== it/manual/CMakeLists.txt ===
set (entities
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Intro.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_GettingHelp.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_GettingStarted.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_GUIMenus.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Account-Actions.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Transactions.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Business.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Tools_Assistants.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Reports.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Customize.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/ch_Finance-Quote.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/chtacctseg.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/chartofaccts.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/legal.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/txf-categories.docbook
    ${CMAKE_SOURCE_DIR}/manual/C/fdl-appendix.docbook
)

set (figures
    figures/AccountReg_Screen.png
    figures/AccountTree_Screen.png
    figures/Main-window-callouts.png
    figures/Pref_AccntPeriod.png
    figures/Pref_Accnts.png
    figures/Pref_Business.png
    figures/Pref_DateTime.png
    figures/Pref_General.png
    figures/Pref_OnlineBanking.png
    figures/Pref_Printing.png
    figures/Pref_Register.png
    figures/Pref_RegisterDefaults.png
    figures/Pref_Reports.png
    figures/Pref_Sched.png
    figures/Pref_Windows.png
    figures/Report_Screen.png
)

#index.docbook: ${CMAKE_SOURCE_DIR}/manual/C/index.docbook ${entities} ${srcdir}/it.po
#	xml2po -e -p ${srcdir}/it.po -o $@ ${CMAKE_SOURCE_DIR}/manual/C/index.docbook
#	if test "${srcdir}" != "${builddir}"; then mv $@ ${srcdir}; fi

set (xslt_files "")

add_gnc_doc_targets(${lang} "" "${figures}" "${xslt_files}")

set(extra_dist
    COME-TRADURRE
    it.po)
add_to_dist(${extra_dist})

=== debian/changelog ===
gnucash-docs (5.13-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 31 Oct 2025 19:35:49 -0700

gnucash-docs (5.13-1) unstable; urgency=medium

  * New upstream release.
  * Added doc-base for Chinese (zh).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Oct 2025 00:13:16 +1000

gnucash-docs (5.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Standards-Version: 4.7.0.
  * Drop obsolete source lintian overrides.

 -- Loren M. Lang <lorenl@north-winds.org>  Fri, 17 Jan 2025 22:26:19 -0800

gnucash-docs (5.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration. (Closes: #1078534)

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Aug 2024 16:09:07 -0400

=== debian/control ===
Source: gnucash-docs
Section: doc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Standards-Version: 4.7.0
Build-Depends: cmake,
               debhelper-compat (= 12),
               docbook-xml,
               fonts-arphic-ukai,
               fonts-freefont-otf,
               fonts-horai-umefont,
               fop,
               libfontbox2-java,
               libharfbuzz-dev,
               libxml2-utils,
               rdfind,
               symlinks,
               xsltproc
Homepage: http://www.gnucash.org
Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
Rules-Requires-Root: no

Package: gnucash-docs
Architecture: all
Built-Using: ${misc:Built-Using}, ${my:Built-Using}
Depends: ${misc:Depends}, yelp
# Recommends: yelp
Suggests: gnucash, pdf-viewer, www-browser
Conflicts: gnucash (<< 1.9.0-1)
Description: Documentation for gnucash, a personal finance tracking program
 GnuCash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains the GnuCash Help Manual and the GnuCash Tutorial and
 Concepts Guide.
 .
 The Help Manual is a quick reference of how to accomplish specific tasks and
 how to use the features in GnuCash. The Tutorial and Concepts Guide is an in
 depth guide to the concepts behind using GnuCash with a tutorial to show how
 to put those concepts into practice.
 .
 These documents are available in HTML, PDF and DocBook formats (the latter is
 intended to be viewed with the GNOME Help browser).
 .
 Translations in German, Italian and Japanese are also included in this package
 (for Japanese, only the guide is available).

=== debian/watch ===
version=3

 https://github.com/Gnucash/gnucash-docs/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## https://qa.debian.org/watch/sf.php/gnucash/
https://sf.net/gnucash/gnucash-docs-([\d.]+)\.tar\.gz

## gnucash-docs 5.14

=== debian/changelog ===
gnucash-docs (5.14-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Dec 2025 19:20:21 -0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.7.0
-Build-Depends: cmake,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                docbook-xml,
                fonts-arphic-ukai,
                fonts-freefont-otf,
